Subject: Re: return several types in a function
From: [email-masked] (Michael Hirmke)

25 Jan 1998 14:45:01 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: [email-masked]

Hi Anonymous,

>
>Hello!
>
>I know this is a bit off-topic, but I don't know
>where to look for help.
>
>What do I write to get a function to return more
>than one thing and type, lets say in a DLL?
>
>eg foo() should return an int and a char[10].

return a structure containing both types.
Or use call-by-reference.

Btw. - best places to ask things like this are:

gnu.gcc.help
gnu.g++.help
comp.lang.c
comp.lang.c++

>
>-- Martin

Bye.
Michael.
--
Michael Hirmke           | Telefon +49 (911) 557999
Georg-Strobel-Strasse 81 | FAX     +49 (911) 557664
90489 Nuernberg          | E-Mail  mailto:[email-masked]
                         | WWW     http://minimike.franken.de/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".